Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05002 Interface Feature Have not tried Sep 16, 2012, 15:02 Jul 21, 2017, 09:00
Tester Firewave View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver
Version 0.146u5 Fixed in Version 0.150 Build
Summary 05002: Add all device information to -listxml
Description I wanted to do a testrun on all sets using the duart68681, but recognized that only the CPU, sound screen and speaker devices are listed in the -listxml output. -listdevices lists of of them though. Since -listxml is the place for all the information in a parse-able way they should also be added there.

-listdevices

Driver ringrage (Ring Rage (Ver 2.3O 1992/08/09)):
   Ring Rage (Ver 2.3O 1992/08/09) (':')
   68EC020 (':maincpu') @ 16.00 MHz
   EEPROM (':eeprom')
   Video Screen (':screen')
   68000 (':audiocpu') @ 15.23 MHz
   DUART 68681 (':duart68681') @ 4.00 MHz
   Fujitsu MB87078 (':mb87078')
   Speaker (':lspeaker')
   Speaker (':rspeaker')
   ES5505 (':ensoniq') @ 15.23 MHz

-listxml

		<chip type="cpu" tag="maincpu" name="68EC020" clock="16000000"/>
		<chip type="cpu" tag="audiocpu" name="68000" clock="15238050"/>
		<chip type="audio" tag="lspeaker" name="Speaker"/>
		<chip type="audio" tag="rspeaker" name="Speaker"/>
		<chip type="audio" tag="ensoniq" name="ES5505" clock="15238050"/>
		<display tag="screen" type="raster" rotate="0" width="320" height="224" refresh="58.970000" />
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.08901
Tafoid
Administrator
Sep 17, 2012, 12:34
I'm not a fan, as you are aware, of increasing more and more the size of -listxml. This data is readily available from -listdevices output. If anything should happen to -listxml, I'd suggest the <DIPswitch> information be externalized to it's own command (-listdipswitches)?, to keep -listxml listing only data needed for front-end and most utilities.

I understand why you'd want them 'all under one roof' as it would make parsing easier for your application - but as it stands, IMHO, we have enough data being thrown out in -listxml.
User avatar
No.08903
NekoEd
Senior Tester
Sep 17, 2012, 22:56
We could do a -listeverything and have MAME just dump every last bit of info. I wouldn't see much issue to adding an additional switch that might be randomly useful to some.
User avatar
No.08906
pjo6245
Tester
Sep 18, 2012, 00:54
Greetings Tafoid.

I agree that DIP switches should not be within the context of -listxml.

Has anyone suggested the -listdipswitches idea to any dev?

Regards.

Pat
User avatar
No.13999
Osso
Developer
Jul 21, 2017, 09:00
From 0.150 these devices show up in listxml output, too.